MuleHttpSender (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.soap.axis.extensions.MuleHttpSender class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.soap.axis.extensions
Class MuleHttpSender

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.mule.transport.soap.axis.extensions.MuleHttpSender

All Implemented Interfaces:
  Serializable, org.apache.axis.Handler

Deprecated. Use the UniversalSender instead

    public class MuleHttpSender

extends org.apache.axis.handlers.BasicHandler

`MuleHttpSender` is a rewrite of the Axis HttpSender. Unfortunately, the Axis implementation is not extensible so this class is a copy of it with modifications. The enhancements made are to allow for asynchronous Http method calls which Mule initiates when the endpoint is asynchronous.

See Also:
  Serialized Form

Field Summary
`protected static Log` | `log` Deprecated.

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`MuleHttpSender()` Deprecated.

Method Summary
`protected void` | `getSocket(org.apache.axis.transport.http.SocketHolder sockHolder, org.apache.axis.MessageContext msgContext, String protocol, String host, int port, int timeout, StringBuffer otherHeaders, org.apache.axis.components.net.BooleanHolder useFullURL)` Deprecated. Creates a socket connection to the SOAP server
`void` | `handleCookie(String cookieName, String setCookieName, Hashtable headers, org.apache.axis.MessageContext msgContext)` Deprecated. little helper function for cookies
`void` | `invoke(org.apache.axis.MessageContext msgContext)` Deprecated. invoke creates a socket connection, sends the request SOAP message and then reads the response SOAP message back from the SOAP server

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final Log log

  Deprecated.

Constructor Detail

### MuleHttpSender

    public MuleHttpSender()

  Deprecated.

Method Detail

### invoke

    public void invoke(org.apache.axis.MessageContext msgContext)
                throws org.apache.axis.AxisFault

  Deprecated.
  invoke creates a socket connection, sends the request SOAP message and then reads the response SOAP message back from the SOAP server

  Parameters:
    `msgContext` - the messsage context
  Throws:
    `org.apache.axis.AxisFault`

### getSocket

    protected void getSocket(org.apache.axis.transport.http.SocketHolder sockHolder,
                             org.apache.axis.MessageContext msgContext,
                             String protocol,
                             String host,
                             int port,
                             int timeout,
                             StringBuffer otherHeaders,
                             org.apache.axis.components.net.BooleanHolder useFullURL)
                      throws Exception

  Deprecated.
  Creates a socket connection to the SOAP server

  Parameters:
    `protocol` - "http" for standard, "https" for ssl.
    `host` - host name
    `port` - port to connect to
    `otherHeaders` - buffer for storing additional headers that need to be sent
    `useFullURL` - flag to indicate if the complete URL has to be sent
  Throws:
    `IOException`
    `Exception`

### handleCookie

    public void handleCookie(String cookieName,
                             String setCookieName,
                             Hashtable headers,
                             org.apache.axis.MessageContext msgContext)

  Deprecated.
  little helper function for cookies

  Parameters:
    `cookieName` -
    `setCookieName` -
    `headers` -
    `msgContext` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.